Skip to main content
`Ctrl`+`K`

# PetscDualSpaceView

Views a `PetscDualSpace`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceView(PetscDualSpace sp, PetscViewer v)

Collective

## Input Parameters

- sp - the `PetscDualSpace` object to view

- v - the viewer

## See Also

`PetscViewer`, `PetscDualSpaceDestroy()`, `PetscDualSpace`

## Level

beginner

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Implementations

PetscDualSpaceView_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceView_Refined() in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
PetscDualSpaceView_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages